{
	"name": "plugin/db-sync/db-sync.json",
	"info": "sync_all: true disables sync_table_method, sync_table_query and sync_table. With sleep_seconds: 0 enables daily scheduling at run_at_time (array of times).",
	"debug": 0,
	"binary_search_debug": 0,
	"quit_4d_after_sync": false,
	"read_test": false,
	"allow_save": true,
	"allow_target_truncate": true,
	"sync_all": false,
	"check_all_tables": false,
	"check_database": true,
	"find_modify_id_before_record_id": true,
	"set_default_value": true,
	"disable_audit_log_new": true,
	"disable_audit_log_change": true,
	"copy_all_json_keys": true,
	"only_sync_plan": false,
	"verify_all_data": false,
	"verify_all_data_standalone": false,
	"verify_all_data_use_hash": true,
	"verify_all_data_batch_size": 1000,
	"verify_all_data_report_path": "/Volumes/nc/nc-backend/plugin/db-sync/documentation/plan.md",
	"silent": false,
	"show_save_sql": false,
	"show_sql": false,
	"debug_sql": false,
	"progress_message_time": 10,
	"progress_query_time": 20,
	"debug_connection_change": false,
	"run_only_at_time": false,
	"run_at_time-": ["02:05:00"],
	"max_error_count": 1,
	"max_primary_key_error_count_per_table": { "product-work": 50 },
	"find_by_primary_key_loops": 5,
	"default_query": "plugin/db-sync/query/default-query.json",
	"query_parameter-": { "transfer_id": "%GNIEZNO%", "start_date": "2023-01-01" },
	"min_rows_to_sync": 1,
	"full_compare": 0,
	"sleep_seconds": 0,
	"sleep_seconds-": 3600,
	"max_sleep_seconds": 3600,
	"binary_search_read_batch": 500,
	"binary_search_recent_first": 2000,
	"binary_search_min_table_size": 1000,
	"binary_search_max_diff_percent": 80,
	"truncate_ratio": 50,
	"direct_compare_max_count": 500,
	"missing_id_max_count": 20,
	"batch_size_min": 5000,
	"batch_size_min_4d": 500,
	"batch_size_max_4d": 550,
	"batch_size_max_columns": 110,
	"batch_size_max_rows": 2000,
	"delete_batch_size": 1000,
	"delete_batch_size_4d": 500,
	"id_array_batch_size": 25000,
	"id_array_batch_size_4d": 10000,
	"save_batch_size-": 5,
	"change_type_icon": {
		"add": "🟢",
		"modify": "🔶",
		"delete": "🟥"
	},
	"language": "fi",
	"sort_id_schema": { "4d": true, "odoo": true },
	"no_order_need_driver": { "rest4d": true },
	"db_source_id": ["demo-4d-0"],
	"db_target_id--": ["demo-fi_demo-0"],
	"db_target_id1-": ["demo-fi_demo4d-0"],
	"db_target_id-": ["demo-fi_ferrum-0"],
	"db_target_id": ["va_varuste-pol_va_varuste_suwalki-0"],
	"db_target_id2-": ["va_varuste-pol_va_varuste_suwalki4d-0"],
	"db_target_id3": ["demo-fi_capacic4d-0"],
	"db_target_id4": ["demo-fi_sqlite4d-0"],
	"db_target_id5": ["demo-fi_demo4d-0", "demo-fi_capacic4d-0", "demo-fi_capacic-0", "demo-fi_sqlite4d-0"],
	"db_source_id1": ["odoo-odoo18-0"],
	"db_target_id0": ["demo-fi_ferrum-0"],
	"db_target_id1": ["odoo-fi_odoo_demo-0"],
	"db_target_id12": ["odoo-fi_odoo_hetzner-0"],
	"db_target_id---": ["demo-4d2-0"],
	"db_target_id3-": ["demo-fi_ultratec4d-0"],
	"db_target_id4-": ["demo-fi_tekpal4d-0"],
	"db_target_id5-": ["demo-fi_sync4d-0"],
	"db_target_id6-": ["va_varuste-fi_va_varuste4d-0", "va_varuste-pol_va_varuste_suwalki-0"],
	"sync_table-": ["order-sales"],
	"sync_table--": [
		"order_row-invoice",
		"company-customer",
		"company-supplier",
		"product",
		"order-sales",
		"order-purchase",
		"order-invoice",
		"order_row-sales",
		"order_row-purchase"
	],
	"sync_table_query-": {
		"product-": ["form/nc/erp-sync/qlik/query/product-order-date.json"],
		"company": ["form/nc/erp-sync/qlik/query/company.json"],
		"company-supplier": ["form/nc/erp-sync/qlik/query/company-supplier.json"],
		"order-sales": ["form/nc/erp-sync/qlik/query/order-sales.json"],
		"order_row-sales": ["form/nc/erp-sync/qlik/query/order_row-sales.json"],
		"order-purchase": ["form/nc/erp-sync/qlik/query/order-purchase.json"],
		"order_row-purchase": ["form/nc/erp-sync/qlik/query/order_row-purchase.json"]
	},
	"sync_table_query--": {
		"product": [
			"plugin/db-sync/query/product.json",
			"plugin/db-sync/query/product-by-work.json",
			"plugin/db-sync/query/product-by-work-material-by-product.json",
			"plugin/db-sync/query/product-by-work-material-by-work.json"
		],
		"product_language": ["plugin/db-sync/query/product.json", "plugin/db-sync/query/product-by-work.json"],
		"product_price-purchase": ["plugin/db-sync/query/product.json", "plugin/db-sync/query/product-by-work.json"],
		"product_price-sales": ["plugin/db-sync/query/product.json", "plugin/db-sync/query/product-by-work.json"],
		"resource-load_group": ["plugin/db-sync/query/resource-load_group.json"],
		"product-work": ["plugin/db-sync/query/product-work.json", "plugin/db-sync/query/product-work-by-product.json"],
		"product_material-estimated": ["plugin/db-sync/query/product-work.json", "plugin/db-sync/query/product-material-by-product.json"],
		"product_work-estimated": ["plugin/db-sync/query/product-work.json", "plugin/db-sync/query/product-work-by-product.json"]
	},
	"no_sync_table": [
		"audit.log",
		"preference-4dmethod",
		"currency-4d",
		"currency_rate",
		"keyword",
		"waybill-waybill_row",
		"keyword-extra_field",
		"preference-4dreport",
		"preference-4dmanual",
		"preference-4dchange",
		"preference-4d"
	],
	"no_sync_table-": ["waybill-waybill", "keyword-extra_field", "preference-4dreport", "preference-4dmanual", "preference-4dchange", "preference-4d"],
	"sync_table_method-": {
		"product": "new",
		"product_language": "new",
		"product_price-purchase": "new",
		"product_price-sales": "new",
		"product-work": "new",
		"product_material-estimated": "new",
		"product_work-estimated": "new",
		"resource-load_group": "new"
	},
	"sync_table2-": [
		"product",
		"product-work",
		"product_language",
		"product_price-purchase",
		"product_price-sales",
		"resource-load_group",
		"product_material-estimated",
		"product_work-estimated"
	],
	"sync_table3-": [
		"resource_efficiency",
		"resource_row-4dresrow",
		"bookkeeping_account",
		"currency",
		"terms_of_payment",
		"order_code-sales",
		"order_code-sales_account",
		"order_code-purchase",
		"resource-load_group",
		"company-customer",
		"company-supplier",
		"company_address-customer",
		"company_address-supplier",
		"person-customer",
		"person-supplier"
	]
}
